MainImpl

Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## chkoba
Class MainImpl

    java.lang.Object
      java.rmi.server.RemoteObject
          java.rmi.server.RemoteServer
              java.rmi.server.UnicastRemoteObject
                  chkoba.MainImpl

All Implemented Interfaces:
  IMain, java.io.Serializable, java.rmi.Remote

    public class MainImpl

extends java.rmi.server.UnicastRemoteObject
implements IMain

Classe Main

See Also:
  Serialized Form

Field Summary
`private java.util.ArrayList<ICarte>` | `main` Attribut contenant les cartes.

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Constructor Summary
`MainImpl()` Constructeur par defaut
`MainImpl(boolean serveur)` Constructeur paur les mains en reseaux

Method Summary
`void` | `add()` Ajoute une carte de la pioche
`void` | `add(int index, ICarte c)` Ajoute la carte passe en parametre a l'indice passe en parametre
`java.lang.String` | `affiche()` Affichage de toutes les cartes dans la main
`boolean` | `estVide()` Switch la valeur de "vide" a false si elle est egale a true et vice-versa
`ICarte` | `get(int i)` Retourne la carte a l'indice donne
`int` | `indexOf(ICarte c)` Retourne l'indice de la carte passe en parametre
`void` | `remove(ICarte c)` Retire la carte passe en parametre
`void` | `remove(int i)` Retire la carte a l'indice passe en parametre
`void` | `removeAll(java.util.ArrayList<ICarte> array)` Retire toutes les cartes dans l'arrylist de la main
`void` | `remplirMain()` Remplit la main
`int` | `size()` Retourne la taille de la main

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### main

    private java.util.ArrayList<ICarte> main

  Attribut contenant les cartes.
  Il symbolise la main

Constructor Detail

### MainImpl

    public MainImpl()
             throws java.rmi.RemoteException

  Constructeur par defaut

  Throws:
    `java.rmi.RemoteException`

### MainImpl

    public MainImpl(boolean serveur)
             throws java.rmi.RemoteException

  Constructeur paur les mains en reseaux

  Parameters:
    `serveur` - , booleen pour savoir si l'on est en mode serveur
  Throws:
    `java.rmi.RemoteException`

Method Detail

### removeAll

    public void removeAll(java.util.ArrayList<ICarte> array)
                   throws java.rmi.RemoteException

  Retire toutes les cartes dans l'arrylist de la main

  Specified by:
    `removeAll` in interface `IMain`
  Parameters:
    `array` - , araylist de toutes les cartes a retirer
  Throws:
    `java.rmi.RemoteException`

### remove

    public void remove(ICarte c)
                throws java.rmi.RemoteException

  Retire la carte passe en parametre

  Specified by:
    `remove` in interface `IMain`
  Parameters:
    `c` - , carte a retirer
  Throws:
    `java.rmi.RemoteException`

### remove

    public void remove(int i)
                throws java.rmi.RemoteException

  Retire la carte a l'indice passe en parametre

  Specified by:
    `remove` in interface `IMain`
  Parameters:
    `i` - , indice de la carte a retirer
  Throws:
    `java.rmi.RemoteException`

### add

    public void add()
             throws java.rmi.RemoteException

  Ajoute une carte de la pioche

  Specified by:
    `add` in interface `IMain`
  Throws:
    `java.rmi.RemoteException`

### indexOf

    public int indexOf(ICarte c)
                throws java.rmi.RemoteException

  Retourne l'indice de la carte passe en parametre

  Specified by:
    `indexOf` in interface `IMain`
  Parameters:
    `c` - , carte dont on veut savoir l'indice
  Throws:
    `java.rmi.RemoteException`

### add

    public void add(int index,
                    ICarte c)
             throws java.rmi.RemoteException

  Ajoute la carte passe en parametre a l'indice passe en parametre

  Specified by:
    `add` in interface `IMain`
  Parameters:
    `index` - , entier symbolisant l'indice
    `c` - , carte a ajouter
  Throws:
    `java.rmi.RemoteException`

### remplirMain

    public void remplirMain()
                     throws java.rmi.RemoteException

  Remplit la main

  Specified by:
    `remplirMain` in interface `IMain`
  Throws:
    `java.rmi.RemoteException`

### get

    public ICarte get(int i)
               throws java.rmi.RemoteException

  Retourne la carte a l'indice donne

  Specified by:
    `get` in interface `IMain`
  Throws:
    `java.rmi.RemoteException`

### size

    public int size()

  Retourne la taille de la main

  Specified by:
    `size` in interface `IMain`

### estVide

    public boolean estVide()
                    throws java.rmi.RemoteException

  Switch la valeur de "vide" a false si elle est egale a true et vice-versa

  Specified by:
    `estVide` in interface `IMain`
  Throws:
    `java.rmi.RemoteException`

### affiche

    public java.lang.String affiche()
                             throws java.rmi.RemoteException

  Affichage de toutes les cartes dans la main

  Specified by:
    `affiche` in interface `IMain`
  Throws:
    `java.rmi.RemoteException`

Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD